# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  # Use the systemd-boot EFI boot loader.
  boot = {
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };
    initrd.availableKernelModules = ["xhci_pci" "ahci" "nvme" "usb_storage" "usbhid" "sd_mod"];
    initrd.kernelModules = [];
    kernelModules = ["kvm-intel"];
    extraModulePackages = [];
  };
  fileSystems."/" = {
    device = "/dev/disk/by-uuid/b6931dc5-1ccb-4d81-abf6-38b6febc6176";
    fsType = "btrfs";
    options = ["subvol=@nixos" "noatime"];
  };

  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/b6931dc5-1ccb-4d81-abf6-38b6febc6176";
    fsType = "btrfs";
    options = ["subvol=@nix" "noatime"];
  };

  fileSystems."/home" = {
    device = "/dev/disk/by-uuid/b6931dc5-1ccb-4d81-abf6-38b6febc6176";
    fsType = "btrfs";
    options = ["subvol=@home" "noatime" "compress=zstd"];
  };
  fileSystems."/swap" = {
    device = "/dev/disk/by-uuid/b6931dc5-1ccb-4d81-abf6-38b6febc6176";
    fsType = "btrfs";
    options = ["subvol=@swap"];
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/34E4-E112";
    fsType = "vfat";
  };

  fileSystems."/raid" = {
    device = "/dev/sdb1";
    fsType = "btrfs";
    options = ["noatime" "space_cache=v2" "compress=zstd"];
  };

  #  swapDevices = [ "/swap/swapfile" ];

  # Enables DHCP on each ethernet and wireless interface. In case of scripted networking
  # (the default) this is the recommended approach. When using systemd-networkd it's
  # still possible to use this option, but it's recommended to use it in conjunction
  # with explicit per-interface declarations with `networking.interfaces.<interface>.useDHCP`.
  networking.useDHCP = lib.mkDefault true;
  networking.networkmanager.enable = lib.mkDefault true; # Easiest to use and most distros use this by default.
  # BTRFS scrub
  services.btrfs.autoScrub.enable = true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware = {
    cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
    pulseaudio.enable = true;
    pulseaudio.support32Bit = true; ## If compatibility with 32-bit applications is desired.
  };
}
